Hooks:PostHook( WeaponTweakData, "init", "SideloadModInit", function(self)

self.sideload_crew = deep_clone(self.ksg_crew)
if not BeardLib.Utils:FindMod("RestorationMod") then
	self.sideload_crew.DAMAGE = 9
	self.sideload_crew.NR_CLIPS_MAX = 3
end

if self.sideload then
	self.sideload.attachment_points = {
		--Barrel Repositioning
		{
			name = "a_b",
			base_a_obj = "a_b",
			position = Vector3(0, 15.5, -0.5)
		},
		--Foregrip
		-- {
			-- name = "a_fg",
			-- base_a_obj = "a_fg",
			-- position = Vector3(0, 15, -0.5)
		-- },
		--Ironsight
		{
			name = "a_o_r",
			base_a_obj = "a_o_r",
			position = Vector3(0, -9.5, 3.875)
		},
		--Optic
		{
			name = "a_o",
			base_a_obj = "a_o",
			position = Vector3(0, 0, 3.875)
		},
		--Mag gate flap
		{
			name = "a_flap_left",
			base_a_obj = "a_m",
			position = Vector3(-1.9, 11.75, 9.75)
		},
		{
			name = "a_flap_right",
			base_a_obj = "a_m",
			position = Vector3(1.9, 7.25, 9.75),
			rotation = RotationCAP( 180, 0, 0 )
		},
		--Gadget Position
		{
			name = "a_fl_light",
			base_a_obj = "a_fl",
			position = Vector3(7, 14.5, -0.5),
			rotation = Rotation(0, 0, 0)
		},
		{
			name = "a_fl_lam",
			base_a_obj = "a_fl",
			position = Vector3(2.5, 18.5, -0.5),
			rotation = RotationCAP(0, 0, 180)
		}
	}
end

end )